Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v2
Class ProfessionalCodeType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v2.BaseType
          be.fgov.ehealth.samcivics.type.v2.ProfessionalCodeType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:47:55+01:00",
               comments="JAXB RI v2.2.11")
    public class ProfessionalCodeType

extends BaseType
implements Serializable

Java class for ProfessionalCodeType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProfessionalCodeType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:samcivics:type:v2}BaseType">
           <sequence>
             <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ProfessionalName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ProfessionalCodeType()`

Method Summary
`String` | `getName()` Gets the value of the name property.
`String` | `getProfessionalName()` Gets the value of the professionalName property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setProfessionalName(String value)` Sets the value of the professionalName property.

Methods inherited from class be.fgov.ehealth.samcivics.type.v2.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfessionalCodeType

    public ProfessionalCodeType()

Method Detail

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getProfessionalName

    public String getProfessionalName()

  Gets the value of the professionalName property.

  Returns:
    possible object is `String`

### setProfessionalName

    public void setProfessionalName(String value)

  Sets the value of the professionalName property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.